Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Eigenes Addon Fehlermeldung auf neuem Server
 
alex2911
Member
 
Total Posts:  41
Joined:  2007-11-15
 

Guten Tag

Ich bin zwar der Meinung nichts “falsch” gemacht zu haben, bitte trotzdem um Rat.

Ich habe 3-4 eigene Addons zum Magento-Shop programmiert und diese unter /local/ abgelegt.
Auf dem alten Server funktioniert dies auch wunderbar jedoch auf den gewünschten Produktivserver erscheint eine Fehlermeldung als würde eine Datei nicht gefunden werden und dadurch funktioniert die Erweiterung auch nicht.

Als Beispiel habe ich eine Erweiterung hier demonstriert. Es handelt sich hierbei nur um etwas einfaches…
Es verhält sich jedoch mit allen Erweiterungen gleich. Sie funktionieren einfach nicht.

Struktur:
/app/code/local/OWN/MyOverride/
--> block/
--> --> template/
--> --> --> Links.php *1
--> etc/
--> --> config.xml *2
/app/etc/modules/
--> OWN_MyOverride.xml *3

Dateiinahlt (gekürzt)
*1

class OWN_MyOverride_Block_Template_Links extends Mage_Page_Block_Template_Links
{
  
//inhalt....- verschiedene Funktionen
}

*2

<config>
    <
modules>
        <
OWN_MyOverride>
            <
version>0.1.0</version>
        </
OWN_MyOverride>
    </
modules>
    <global>
        <
blocks>
            <
page>
                <
rewrite>
                    <
template_links>OWN_MyOverride_Block_Template_Links</template_links>
                </
rewrite>
            </
page>
        </
blocks>
    </global>
</
config>

*3

<?xml version="1.0"?>
<config>
    <
modules>
        <
OWN_MyOverride>
            <
active>true</active>
            <
codePool>local</codePool>
        </
OWN_MyOverride>
    </
modules>
</
config>

Serverangaben:
PHP Version 5.2.6-1+lenny4

Ist sowas schon jemandem passiert ? Habe ich bei den Addons einen Denkfehler oder gar etwas falsch gemacht ?

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top